Loading...
Searching...
No Matches
reference_element_H

## Detailed Description

Definition at line 300 of file reference_element.h.

## Public Types

typedef point_basic< size_t >::size_type | size_type

## Static Public Member Functions

static size_type | n_subgeo (size_type side_dim)
static size_type | subgeo_n_node (size_type order, size_type side_dim, size_type loc_isid)
static size_type | subgeo_local_node (size_type order, size_type side_dim, size_type loc_isid, size_type loc_jsidnod)
static size_type | ilat2loc_inod (size_type order, const point_basic< size_type > &ilat)
static size_type | first_inod_by_variant (size_type order, size_type subgeo_variant)
static size_type | face2edge (size_type loc_iface, size_type loc_iface_jedg)
static int | face2edge_orient (size_type loc_iface, size_type loc_iface_jedg)
static const point_basic< Float > & | vertex (size_type iloc)
static Float | side_measure (size_type loc_isid)
static void | side_normal (size_type loc_isid, point_basic< Float > &hat_n)

## Member Typedef Documentation

## size_type

typedef point_basic<size_t>::size_type size_type

Definition at line 305 of file reference_element.h.

## Member Function Documentation

## n_subgeo()

reference_element_H::size_type n_subgeo | ( | size_type | side_dim | ) |

static

Definition at line 728 of file reference_element.cc.

## subgeo_n_node()

reference_element_H::size_type subgeo_n_node | ( | size_type | order,
|  | size_type | side_dim,
|  | size_type | loc_isid
| ) |  |

static

Definition at line 739 of file reference_element.cc.

## subgeo_local_node()

reference_element_H::size_type subgeo_local_node | ( | size_type | order,
|  | size_type | side_dim,
|  | size_type | loc_isid,
|  | size_type | loc_jsidnod
| ) |  |

static

Definition at line 750 of file reference_element.cc.

## ilat2loc_inod()

reference_element_H::size_type ilat2loc_inod | ( | size_type | order,
|  | const point_basic< size_type > & | ilat
| ) |  |

static

Definition at line 790 of file reference_element.cc.

## first_inod_by_variant()

reference_element_H::size_type first_inod_by_variant | ( | size_type | order,
|  | size_type | subgeo_variant
| ) |  |

static

Definition at line 795 of file reference_element.cc.

## face2edge()

static size_type face2edge | ( | size_type | loc_iface,
|  | size_type | loc_iface_jedg
| ) |  |

static

## face2edge_orient()

static int face2edge_orient | ( | size_type | loc_iface,
|  | size_type | loc_iface_jedg
| ) |  |

static

## vertex()

const point_basic< Float > & vertex | ( | size_type | iloc | ) |

static

Definition at line 820 of file reference_element.cc.

## side_measure()

Float side_measure | ( | size_type | loc_isid | ) |

static

Definition at line 802 of file reference_element.cc.

## side_normal()

void side_normal | ( | size_type | loc_isid,
|  | point_basic< Float > & | hat_n
| ) |  |

static

Definition at line 807 of file reference_element.cc.

The documentation for this class was generated from the following files:

- /build/rheolef-mDkPTY/rheolef-7.2/fem/geo_element/reference_element.h
- /build/rheolef-mDkPTY/rheolef-7.2/fem/geo_element/reference_element.cc